clang-tools 10.0.0

Public Member Functions | List of all members
clang::tidy::ClangTidyDiagnosticConsumer Class Reference

A diagnostic consumer that turns each `Diagnostic` into a `SourceManager-independent` `ClangTidyError`. More...

`#include <ClangTidyDiagnosticConsumer.h>`

Inheritance diagram for clang::tidy::ClangTidyDiagnosticConsumer:
[legend]
Collaboration diagram for clang::tidy::ClangTidyDiagnosticConsumer:
[legend]

## Public Member Functions
| ClangTidyDiagnosticConsumer (ClangTidyContext &Ctx, DiagnosticsEngine *ExternalDiagEngine=nullptr, bool RemoveIncompatibleErrors=true)
void | HandleDiagnostic (DiagnosticsEngine::Level DiagLevel, const Diagnostic &Info) override
std::vector< ClangTidyError > | take ()

## Detailed Description

A diagnostic consumer that turns each `Diagnostic` into a `SourceManager-independent` `ClangTidyError`.

Definition at line 229 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

## ◆ ClangTidyDiagnosticConsumer()

ClangTidyDiagnosticConsumer::ClangTidyDiagnosticConsumer | ( | ClangTidyContext & | Ctx,
|  | DiagnosticsEngine * | ExternalDiagEngine = `nullptr`,
|  | bool | RemoveIncompatibleErrors = `true`
| ) |  |

Definition at line 238 of file ClangTidyDiagnosticConsumer.cpp.

## Member Function Documentation

## ◆ HandleDiagnostic()

void ClangTidyDiagnosticConsumer::HandleDiagnostic | ( | DiagnosticsEngine::Level | DiagLevel,
|  | const Diagnostic & | Info
| ) |  |
| override

Definition at line 373 of file ClangTidyDiagnosticConsumer.cpp.

References FileName, Loc, clang::tidy::modernize::Message, and clang::tidy::shouldSuppressDiagnostic().

## ◆ take()

std::vector< ClangTidyError > ClangTidyDiagnosticConsumer::take | ( |  | ) |

Definition at line 722 of file ClangTidyDiagnosticConsumer.cpp.

The documentation for this class was generated from the following files:

- ClangTidyDiagnosticConsumer.h
- ClangTidyDiagnosticConsumer.cpp